commit 8592461c37e48d4587ade46a763d6244709b5935
Author: Leszek Koltunski <leszek@koltunski.pl>
Date:   Mon Oct 11 00:24:57 2021 +0200

    'IconMode' finished.

diff --git a/src/main/java/org/distorted/objectlib/main/ObjectType.java b/src/main/java/org/distorted/objectlib/main/ObjectType.java
index 4419c2eb..4842d857 100644
--- a/src/main/java/org/distorted/objectlib/main/ObjectType.java
+++ b/src/main/java/org/distorted/objectlib/main/ObjectType.java
@@ -34,38 +34,38 @@ import org.distorted.objectlib.objects.*;
 
 public enum ObjectType
   {
-  CUBE_2 ( 2, 12, R.drawable.small_cube2, R.drawable.medium_cube2, R.drawable.big_cube2, R.drawable.huge_cube2),
-  CUBE_3 ( 3, 17, R.drawable.small_cube3, R.drawable.medium_cube3, R.drawable.big_cube3, R.drawable.huge_cube3),
-  CUBE_4 ( 4, 24, R.drawable.small_cube4, R.drawable.medium_cube4, R.drawable.big_cube4, R.drawable.huge_cube4),
-  CUBE_5 ( 5, 28, R.drawable.small_cube5, R.drawable.medium_cube5, R.drawable.big_cube5, R.drawable.huge_cube5),
-  JING_2 ( 2, 11, R.drawable.small_jing2, R.drawable.medium_jing2, R.drawable.big_jing2, R.drawable.huge_jing2),
-  PYRA_3 ( 3, 10, R.drawable.small_pyra3, R.drawable.medium_pyra3, R.drawable.big_pyra3, R.drawable.huge_pyra3),
-  PYRA_4 ( 4, 17, R.drawable.small_pyra4, R.drawable.medium_pyra4, R.drawable.big_pyra4, R.drawable.huge_pyra4),
-  PYRA_5 ( 5, 23, R.drawable.small_pyra5, R.drawable.medium_pyra5, R.drawable.big_pyra5, R.drawable.huge_pyra5),
-  KILO_3 ( 3, 18, R.drawable.small_kilo3, R.drawable.medium_kilo3, R.drawable.big_kilo3, R.drawable.huge_kilo3),
-  KILO_5 ( 5, 33, R.drawable.small_kilo5, R.drawable.medium_kilo5, R.drawable.big_kilo5, R.drawable.huge_kilo5),
-  MEGA_3 ( 3, 21, R.drawable.small_mega3, R.drawable.medium_mega3, R.drawable.big_mega3, R.drawable.huge_mega3),
-  MEGA_5 ( 5, 37, R.drawable.small_mega5, R.drawable.medium_mega5, R.drawable.big_mega5, R.drawable.huge_mega5),
-  ULTI_2 ( 2, 18, R.drawable.small_ulti , R.drawable.medium_ulti , R.drawable.big_ulti , R.drawable.huge_ulti ),
-  DIAM_2 ( 2, 12, R.drawable.small_diam2, R.drawable.medium_diam2, R.drawable.big_diam2, R.drawable.huge_diam2),
-  DIAM_3 ( 3, 24, R.drawable.small_diam3, R.drawable.medium_diam3, R.drawable.big_diam3, R.drawable.huge_diam3),
-  DIAM_4 ( 4, 32, R.drawable.small_diam4, R.drawable.medium_diam4, R.drawable.big_diam4, R.drawable.huge_diam4),
-  DINO_3 ( 3, 10, R.drawable.small_dino , R.drawable.medium_dino , R.drawable.big_dino , R.drawable.huge_dino ),
-  DIN4_3 ( 3,  7, R.drawable.small_din4 , R.drawable.medium_din4 , R.drawable.big_din4 , R.drawable.huge_din4 ),
-  REDI_3 ( 3, 16, R.drawable.small_redi , R.drawable.medium_redi , R.drawable.big_redi , R.drawable.huge_redi ),
-  HELI_3 ( 3, 20, R.drawable.small_heli , R.drawable.medium_heli , R.drawable.big_heli , R.drawable.huge_heli ),
-  SKEW_2 ( 2, 11, R.drawable.small_skew2, R.drawable.medium_skew2, R.drawable.big_skew2, R.drawable.huge_skew2),
-  SKEW_3 ( 3, 21, R.drawable.small_skew3, R.drawable.medium_skew3, R.drawable.big_skew3, R.drawable.huge_skew3),
-  IVY_2  ( 2,  8, R.drawable.small_ivy  , R.drawable.medium_ivy  , R.drawable.big_ivy  , R.drawable.huge_ivy  ),
-  REX_3  ( 3, 19, R.drawable.small_rex  , R.drawable.medium_rex  , R.drawable.big_rex  , R.drawable.huge_rex  ),
-  BAN1_3 ( 3, 16, R.drawable.small_ban1 , R.drawable.medium_ban1 , R.drawable.big_ban1 , R.drawable.huge_ban1 ),
-  BAN2_3 ( 3, 16, R.drawable.small_ban2 , R.drawable.medium_ban2 , R.drawable.big_ban2 , R.drawable.huge_ban2 ),
-  BAN3_3 ( 3, 16, R.drawable.small_ban3 , R.drawable.medium_ban3 , R.drawable.big_ban3 , R.drawable.huge_ban3 ),
-  BAN4_3 ( 3, 16, R.drawable.small_ban4 , R.drawable.medium_ban4 , R.drawable.big_ban4 , R.drawable.huge_ban4 ),
-  SQU1_3 ( 3, 24, R.drawable.small_squa1, R.drawable.medium_squa1, R.drawable.big_squa1, R.drawable.huge_squa1),
-  SQU2_3 ( 3, 24, R.drawable.small_squa2, R.drawable.medium_squa2, R.drawable.big_squa2, R.drawable.huge_squa2),
-  MIRR_2 ( 2, 12, R.drawable.small_mirr2, R.drawable.medium_mirr2, R.drawable.big_mirr2, R.drawable.huge_mirr2),
-  MIRR_3 ( 3, 17, R.drawable.small_mirr3, R.drawable.medium_mirr3, R.drawable.big_mirr3, R.drawable.huge_mirr3),
+  CUBE_2 ( 2, 12, R.drawable.s_cube_2, R.drawable.m_cube_2, R.drawable.b_cube_2, R.drawable.h_cube_2),
+  CUBE_3 ( 3, 17, R.drawable.s_cube_3, R.drawable.m_cube_3, R.drawable.b_cube_3, R.drawable.h_cube_3),
+  CUBE_4 ( 4, 24, R.drawable.s_cube_4, R.drawable.m_cube_4, R.drawable.b_cube_4, R.drawable.h_cube_4),
+  CUBE_5 ( 5, 28, R.drawable.s_cube_5, R.drawable.m_cube_5, R.drawable.b_cube_5, R.drawable.h_cube_5),
+  JING_2 ( 2, 11, R.drawable.s_jing_2, R.drawable.m_jing_2, R.drawable.b_jing_2, R.drawable.h_jing_2),
+  PYRA_3 ( 3, 10, R.drawable.s_pyra_3, R.drawable.m_pyra_3, R.drawable.b_pyra_3, R.drawable.h_pyra_3),
+  PYRA_4 ( 4, 17, R.drawable.s_pyra_4, R.drawable.m_pyra_4, R.drawable.b_pyra_4, R.drawable.h_pyra_4),
+  PYRA_5 ( 5, 23, R.drawable.s_pyra_5, R.drawable.m_pyra_5, R.drawable.b_pyra_5, R.drawable.h_pyra_5),
+  KILO_3 ( 3, 18, R.drawable.s_kilo_3, R.drawable.m_kilo_3, R.drawable.b_kilo_3, R.drawable.h_kilo_3),
+  KILO_5 ( 5, 33, R.drawable.s_kilo_5, R.drawable.m_kilo_5, R.drawable.b_kilo_5, R.drawable.h_kilo_5),
+  MEGA_3 ( 3, 21, R.drawable.s_mega_3, R.drawable.m_mega_3, R.drawable.b_mega_3, R.drawable.h_mega_3),
+  MEGA_5 ( 5, 37, R.drawable.s_mega_5, R.drawable.m_mega_5, R.drawable.b_mega_5, R.drawable.h_mega_5),
+  ULTI_2 ( 2, 18, R.drawable.s_ulti_2, R.drawable.m_ulti_2, R.drawable.b_ulti_2, R.drawable.h_ulti_2),
+  DIAM_2 ( 2, 12, R.drawable.s_diam_2, R.drawable.m_diam_2, R.drawable.b_diam_2, R.drawable.h_diam_2),
+  DIAM_3 ( 3, 24, R.drawable.s_diam_3, R.drawable.m_diam_3, R.drawable.b_diam_3, R.drawable.h_diam_3),
+  DIAM_4 ( 4, 32, R.drawable.s_diam_4, R.drawable.m_diam_4, R.drawable.b_diam_4, R.drawable.h_diam_4),
+  DINO_3 ( 3, 10, R.drawable.s_dino_3, R.drawable.m_dino_3, R.drawable.b_dino_3, R.drawable.h_dino_3),
+  DIN4_3 ( 3,  7, R.drawable.s_din4_3, R.drawable.m_din4_3, R.drawable.b_din4_3, R.drawable.h_din4_3),
+  REDI_3 ( 3, 16, R.drawable.s_redi_3, R.drawable.m_redi_3, R.drawable.b_redi_3, R.drawable.h_redi_3),
+  HELI_3 ( 3, 20, R.drawable.s_heli_3, R.drawable.m_heli_3, R.drawable.b_heli_3, R.drawable.h_heli_3),
+  SKEW_2 ( 2, 11, R.drawable.s_skew_2, R.drawable.m_skew_2, R.drawable.b_skew_2, R.drawable.h_skew_2),
+  SKEW_3 ( 3, 21, R.drawable.s_skew_3, R.drawable.m_skew_3, R.drawable.b_skew_3, R.drawable.h_skew_3),
+  IVY_2  ( 2,  8, R.drawable.s_ivy_2 , R.drawable.m_ivy_2 , R.drawable.b_ivy_2 , R.drawable.h_ivy_2 ),
+  REX_3  ( 3, 19, R.drawable.s_rex_3 , R.drawable.m_rex_3 , R.drawable.b_rex_3 , R.drawable.h_rex_3 ),
+  BAN1_3 ( 3, 16, R.drawable.s_ban1_3, R.drawable.m_ban1_3, R.drawable.b_ban1_3, R.drawable.h_ban1_3),
+  BAN2_3 ( 3, 16, R.drawable.s_ban2_3, R.drawable.m_ban2_3, R.drawable.b_ban2_3, R.drawable.h_ban2_3),
+  BAN3_3 ( 3, 16, R.drawable.s_ban3_3, R.drawable.m_ban3_3, R.drawable.b_ban3_3, R.drawable.h_ban3_3),
+  BAN4_3 ( 3, 16, R.drawable.s_ban4_3, R.drawable.m_ban4_3, R.drawable.b_ban4_3, R.drawable.h_ban4_3),
+  SQU1_3 ( 3, 24, R.drawable.s_squ1_3, R.drawable.m_squ1_3, R.drawable.b_squ1_3, R.drawable.h_squ1_3),
+  SQU2_3 ( 3, 24, R.drawable.s_squ2_3, R.drawable.m_squ2_3, R.drawable.b_squ2_3, R.drawable.h_squ2_3),
+  MIRR_2 ( 2, 12, R.drawable.s_mirr_2, R.drawable.m_mirr_2, R.drawable.b_mirr_2, R.drawable.h_mirr_2),
+  MIRR_3 ( 3, 17, R.drawable.s_mirr_3, R.drawable.m_mirr_3, R.drawable.b_mirr_3, R.drawable.h_mirr_3),
   ;
 
   public static final int NUM_OBJECTS = values().length;
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyBandagedAbstract.java b/src/main/java/org/distorted/objectlib/objects/TwistyBandagedAbstract.java
index 80f0b740..650dd238 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyBandagedAbstract.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyBandagedAbstract.java
@@ -34,6 +34,7 @@ import org.distorted.objectlib.main.Movement6;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
 import org.distorted.objectlib.helpers.ScrambleState;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.Twisty6;
 
 ///////////////////////////////////////////////////////////////////////////////////////////////////
@@ -288,11 +289,17 @@ abstract class TwistyBandagedAbstract extends Twisty6
         X /= (2*MAX);
         Y /= (2*MAX);
 
-        float R = 0.10f / MAX;
-        float S = 0.08f / MAX;
+        float radius = 0.10f / MAX;
+        float stroke = 0.08f / MAX;
         float[] coords = { -X,-Y, +X,-Y, +X,+Y, -X,+Y};
-        float[] radii = new float[] {R,R,R,R};
-        mStickers[s] = new ObjectSticker(coords,null,radii,S);
+        float[] radii = new float[] {radius,radius,radius,radius};
+
+        if( ObjectControl.isInIconMode() )
+          {
+          stroke*=2.0f;
+          }
+
+        mStickers[s] = new ObjectSticker(coords,null,radii,stroke);
         }
       }
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyCube.java b/src/main/java/org/distorted/objectlib/objects/TwistyCube.java
index 53abeaab..f992ad31 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyCube.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyCube.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -262,9 +263,21 @@ public class TwistyCube extends Twisty6
       {
       final float[][] STICKERS = new float[][]  { { -0.5f, -0.5f, 0.5f, -0.5f, 0.5f, 0.5f, -0.5f, 0.5f } };
       final float radius = 0.10f;
-      final float stroke = 0.08f;
       final float[] radii = {radius,radius,radius,radius};
       mStickers = new ObjectSticker[STICKERS.length];
+      float stroke = 0.08f;
+
+      if( ObjectControl.isInIconMode() )
+        {
+        switch(getNumLayers())
+          {
+          case 2: stroke*=1.8f; break;
+          case 3: stroke*=2.0f; break;
+          case 4: stroke*=2.1f; break;
+          default:stroke*=2.2f; break;
+          }
+        }
+
       mStickers[0] = new ObjectSticker(STICKERS[0],null,radii,stroke );
       }
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyDiamond.java b/src/main/java/org/distorted/objectlib/objects/TwistyDiamond.java
index 267302b2..59e6439f 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyDiamond.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyDiamond.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement8;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -499,6 +500,18 @@ public class TwistyDiamond extends Twisty8
       float radius = 0.06f;
       float stroke = 0.07f;
       float[] radii = new float[] {radius,radius,radius};
+
+      if( ObjectControl.isInIconMode() )
+        {
+        switch(getNumLayers())
+          {
+          case 2: stroke*=1.4f; break;
+          case 3: stroke*=2.0f; break;
+          case 4: stroke*=2.1f; break;
+          default:stroke*=2.2f; break;
+          }
+        }
+
       mStickers     = new ObjectSticker[STICKERS.length];
       mStickers[0]  = new ObjectSticker(STICKERS[0],null,radii,stroke);
       }
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyDino.java b/src/main/java/org/distorted/objectlib/objects/TwistyDino.java
index 647916c5..756ef491 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyDino.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyDino.java
@@ -35,6 +35,7 @@ import org.distorted.objectlib.main.Movement6;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
 import org.distorted.objectlib.helpers.ScrambleState;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.Twisty6;
 
 ///////////////////////////////////////////////////////////////////////////////////////////////////
@@ -226,6 +227,12 @@ abstract class TwistyDino extends Twisty6
       float radius = 0.025f;
       float stroke = 0.050f;
       float[] radii = new float[] {radius,radius,radius};
+
+      if( ObjectControl.isInIconMode() )
+        {
+        stroke*=1.5f;
+        }
+
       mStickers     = new ObjectSticker[STICKERS.length];
       mStickers[0]  = new ObjectSticker(STICKERS[0],null,radii,stroke);
       }
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyHelicopter.java b/src/main/java/org/distorted/objectlib/objects/TwistyHelicopter.java
index 6698199c..5bdab387 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyHelicopter.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyHelicopter.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -419,6 +420,12 @@ public class TwistyHelicopter extends Twisty6
       float radius = 0.03f;
       float stroke = 0.05f;
       float[] radii = new float[] {radius,radius,radius};
+
+      if( ObjectControl.isInIconMode() )
+        {
+        stroke*=2.0f;
+        }
+
       mStickers = new ObjectSticker[STICKERS.length];
       mStickers[0] = new ObjectSticker(STICKERS[0],null,radii,stroke);
       }
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyIvy.java b/src/main/java/org/distorted/objectlib/objects/TwistyIvy.java
index 65bc2bae..8923cbed 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyIvy.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyIvy.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -447,6 +448,14 @@ public class TwistyIvy extends Twisty6
       final float[][] angles = { { 0,0,D },{ D,D } };
       final float[][] radii  = { { 0,0.04f,0 },{ 0.06f,0.06f } };
       final float[] strokes = { 0.03f, 0.08f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = 1.5f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        }
+
       for(int s=0; s<NUM_STICKERS; s++) mStickers[s] = new ObjectSticker(STICKERS[s], angles[s],radii[s],strokes[s]);
       }
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyJing.java b/src/main/java/org/distorted/objectlib/objects/TwistyJing.java
index 456da93d..1c2b17e0 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyJing.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyJing.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement4;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -401,7 +402,14 @@ public class TwistyJing extends Twisty4
       final float R2 = 0.10f;
       final float R3 = 0.03f;
       final float[][] radii  = { { R1,R1,R1,R1 },{ R3,R3,R2,R2 },{ R1,R1,R1 } };
-      final float[] strokes = { 0.06f, 0.03f, 0.05f };
+      float[] strokes = { 0.06f, 0.03f, 0.05f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        strokes[0]*=2.0f;
+        strokes[1]*=2.0f;
+        strokes[2]*=2.0f;
+        }
 
       for(int s=0; s<STICKERS.length; s++)
         {
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyKilominx.java b/src/main/java/org/distorted/objectlib/objects/TwistyKilominx.java
index 056ebdbf..da7ef281 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyKilominx.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyKilominx.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.library.main.QuatHelper;
 
 import org.distorted.objectlib.R;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -671,7 +672,16 @@ public class TwistyKilominx extends TwistyMinx
 
       float R = 0.10f;
       final float[][] radii = { {R,R,R,R},{R,R,R,R},{R,R,R,R} };
-      final float[] strokes = { 0.20f, 0.11f, 0.10f };
+      float[] strokes = { 0.20f, 0.11f, 0.10f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = getNumLayers()==3 ? 1.0f : 1.5f;
+
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        }
 
       for(int s=0; s<STICKERS.length; s++)
         {
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyMegaminx.java b/src/main/java/org/distorted/objectlib/objects/TwistyMegaminx.java
index 49051288..cf5c1e44 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyMegaminx.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyMegaminx.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.library.main.QuatHelper;
 
 import org.distorted.objectlib.R;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -568,7 +569,18 @@ public class TwistyMegaminx extends TwistyMinx
       final float R3 = 0.08f;
       final float R4 = 0.10f;
       final float[][] radii = { {R0,R0,R0,R0},{R1,R1,R1,R1},{R2,R2,R2,R2},{R3,R3,R3,R3},{R4,R4,R4,R4,R4} };
-      final float[] strokes = { 0.10f,0.12f,0.12f,0.08f,0.07f };
+      float[] strokes = { 0.10f,0.12f,0.12f,0.08f,0.07f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = getNumLayers()==3 ? 1.5f : 2.2f;
+
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        strokes[3]*=mult;
+        strokes[4]*=mult;
+        }
 
       for(int s=0; s<STICKERS.length; s++)
         {
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyMirror.java b/src/main/java/org/distorted/objectlib/objects/TwistyMirror.java
index 17d2e440..2f371da5 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyMirror.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyMirror.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -396,10 +397,18 @@ public class TwistyMirror extends Twisty6
     if( mStickers==null )
       {
       final float[][] STICKERS = generateStickers();
-      final float[] STROKES = generateStrokes();
       final int NUM_STICKERS = STICKERS.length;
       final float radius = 0.10f;
       final float[] radii = {radius,radius,radius,radius};
+      float[] STROKES = generateStrokes();
+
+      if( ObjectControl.isInIconMode() )
+        {
+        int len = STROKES.length;
+        float mult = getNumLayers()==2 ? 1.8f: 2.0f;
+        for(int i=0; i<len; i++) STROKES[i]*=mult;
+        }
+
       mStickers = new ObjectSticker[NUM_STICKERS];
 
       for(int i=0; i<NUM_STICKERS; i++)
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyPyraminx.java b/src/main/java/org/distorted/objectlib/objects/TwistyPyraminx.java
index 825b3da4..c85d3364 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyPyraminx.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyPyraminx.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement4;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -380,10 +381,23 @@ public class TwistyPyraminx extends Twisty4
     if( mStickers==null )
       {
       float[][] STICKERS = new float[][] { { -0.4330127f, -0.25f, 0.4330127f, -0.25f, 0.0f, 0.5f } };
-      final float stroke = 0.08f;
       final float radius = 0.06f;
       final float[] radii= {radius,radius,radius};
       mStickers = new ObjectSticker[STICKERS.length];
+
+      float stroke = 0.08f;
+
+      if( ObjectControl.isInIconMode() )
+        {
+        switch(getNumLayers())
+          {
+          case 2: stroke*=1.0f; break;
+          case 3: stroke*=1.4f; break;
+          case 4: stroke*=1.7f; break;
+          default:stroke*=1.9f; break;
+          }
+        }
+
       mStickers[0] = new ObjectSticker(STICKERS[0],null,radii,stroke);
       }
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyRedi.java b/src/main/java/org/distorted/objectlib/objects/TwistyRedi.java
index 1cf3b11e..0b3b2546 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyRedi.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyRedi.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -410,7 +411,14 @@ public class TwistyRedi extends Twisty6
       final float R0 = 0.09f;
       final float R1 = 0.06f;
       final float[][] radii = { {R0,R0,R0,R0},{R1,R1,R1,R1,R1} };
-      final float[] strokes = { 0.09f,0.06f };
+      float[] strokes = { 0.09f,0.06f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = 2.2f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        }
 
       mStickers = new ObjectSticker[STICKERS.length];
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyRex.java b/src/main/java/org/distorted/objectlib/objects/TwistyRex.java
index 71bc21d8..2fe0821a 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyRex.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyRex.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -445,6 +446,14 @@ public class TwistyRex extends Twisty6
       final float[][] radii  = { {R1,R1,R1},{R2,R2,R2,R2},{0,0,R3} };
       final float[] strokes = { 0.06f, 0.07f, 0.05f };
 
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = 1.5f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        }
+
       mStickers = new ObjectSticker[STICKERS.length];
 
       for(int s=0; s<STICKERS.length; s++)
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistySkewb.java b/src/main/java/org/distorted/objectlib/objects/TwistySkewb.java
index 701aa6df..4b348b4c 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistySkewb.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistySkewb.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -553,6 +554,14 @@ public class TwistySkewb extends Twisty6
       final float[][] radii  = { { R1,R1,R1 },{ R2,R2,R2 },{ R3,R3,R3,R3 } };
       final float[] strokes = { 0.05f, 0.04f, 0.04f };
 
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = getNumLayers()==2 ? 2.0f : 2.7f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        }
+
       mStickers = new ObjectSticker[STICKERS.length+1];
 
       for(int s=0; s<STICKERS.length+1; s++)
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistySquare1.java b/src/main/java/org/distorted/objectlib/objects/TwistySquare1.java
index 83c48315..3ba8128b 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistySquare1.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistySquare1.java
@@ -29,6 +29,7 @@ import org.distorted.library.type.Static4D;
 
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement6;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -242,7 +243,18 @@ public class TwistySquare1 extends TwistySquare
       final float R5 = 0.11f;
       final float R6 = 0.08f;
       final float[][] radii  = { {R1,R1,R1,R1},{R2,R2,R2,R2},{R3,R3,R3,R3},{R4,R4,R4},{R5,R5,R5,R5},{R6,R6,R6,R6} };
-      final float[] strokes = { 0.05f,0.04f,0.09f,0.05f,0.08f,0.08f };
+      float[] strokes = { 0.05f,0.04f,0.09f,0.05f,0.08f,0.08f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = 2.0f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        strokes[3]*=mult;
+        strokes[4]*=mult;
+        strokes[5]*=mult;
+        }
 
       mStickers = new ObjectSticker[NUM_STICKERS];
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistySquare2.java b/src/main/java/org/distorted/objectlib/objects/TwistySquare2.java
index 88562577..f0a93815 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistySquare2.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistySquare2.java
@@ -28,6 +28,7 @@ import org.distorted.library.type.Static3D;
 import org.distorted.library.type.Static4D;
 
 import org.distorted.objectlib.R;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -247,7 +248,18 @@ public class TwistySquare2 extends TwistySquare
       final float R5 = 0.11f;
       final float R6 = 0.025f;
       final float[][] radii  = { {R1,R1,R1,R1},{R2,R2,R2,R2},{R3,R3,R3,R3},{R4,R4,R4},{R5,R5,R5,R5},{R6,R6,R6} };
-      final float[] strokes = { 0.05f,0.04f,0.09f,0.05f,0.08f,0.06f };
+      float[] strokes = { 0.05f,0.04f,0.09f,0.05f,0.08f,0.06f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = 2.0f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        strokes[3]*=mult;
+        strokes[4]*=mult;
+        strokes[5]*=mult;
+        }
 
       mStickers = new ObjectSticker[NUM_STICKERS];
 
diff --git a/src/main/java/org/distorted/objectlib/objects/TwistyUltimate.java b/src/main/java/org/distorted/objectlib/objects/TwistyUltimate.java
index fab47383..d8a8d6e2 100644
--- a/src/main/java/org/distorted/objectlib/objects/TwistyUltimate.java
+++ b/src/main/java/org/distorted/objectlib/objects/TwistyUltimate.java
@@ -32,6 +32,7 @@ import org.distorted.library.type.Static4D;
 import org.distorted.objectlib.R;
 import org.distorted.objectlib.main.Movement;
 import org.distorted.objectlib.main.Movement12;
+import org.distorted.objectlib.main.ObjectControl;
 import org.distorted.objectlib.main.ObjectType;
 import org.distorted.objectlib.helpers.ObjectShape;
 import org.distorted.objectlib.helpers.ObjectSticker;
@@ -342,7 +343,15 @@ public class TwistyUltimate extends Twisty12
       final float R2 = 0.13f;
       final float R3 = 0.11f;
       final float[][] radii  = { {R1,R1,R1,R1,R1},{R2,R2,R2,R2},{R3,R3,R3,R3} };
-      final float[] strokes = { 0.07f, 0.09f, 0.08f };
+      float[] strokes = { 0.07f, 0.09f, 0.08f };
+
+      if( ObjectControl.isInIconMode() )
+        {
+        float mult = 1.5f;
+        strokes[0]*=mult;
+        strokes[1]*=mult;
+        strokes[2]*=mult;
+        }
 
       mStickers = new ObjectSticker[STICKERS.length];
 
diff --git a/src/main/res/drawable-nodpi/b_ban1_3.png b/src/main/res/drawable-nodpi/b_ban1_3.png
new file mode 100644
index 00000000..862032ef
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_ban1_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_ban2_3.png b/src/main/res/drawable-nodpi/b_ban2_3.png
new file mode 100644
index 00000000..7cbe60c8
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_ban2_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_ban3_3.png b/src/main/res/drawable-nodpi/b_ban3_3.png
new file mode 100644
index 00000000..64c785d9
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_ban3_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_ban4_3.png b/src/main/res/drawable-nodpi/b_ban4_3.png
new file mode 100644
index 00000000..3b744f4e
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_ban4_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_cube_2.png b/src/main/res/drawable-nodpi/b_cube_2.png
new file mode 100644
index 00000000..797d3626
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_cube_2.png differ
diff --git a/src/main/res/drawable-nodpi/b_cube_3.png b/src/main/res/drawable-nodpi/b_cube_3.png
new file mode 100644
index 00000000..fb16a725
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_cube_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_cube_4.png b/src/main/res/drawable-nodpi/b_cube_4.png
new file mode 100644
index 00000000..baf2dadf
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_cube_4.png differ
diff --git a/src/main/res/drawable-nodpi/b_cube_5.png b/src/main/res/drawable-nodpi/b_cube_5.png
new file mode 100644
index 00000000..4ed6914c
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_cube_5.png differ
diff --git a/src/main/res/drawable-nodpi/b_diam_2.png b/src/main/res/drawable-nodpi/b_diam_2.png
new file mode 100644
index 00000000..c0d07cd9
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_diam_2.png differ
diff --git a/src/main/res/drawable-nodpi/b_diam_3.png b/src/main/res/drawable-nodpi/b_diam_3.png
new file mode 100644
index 00000000..1b4bbdb4
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_diam_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_diam_4.png b/src/main/res/drawable-nodpi/b_diam_4.png
new file mode 100644
index 00000000..55ffad4a
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_diam_4.png differ
diff --git a/src/main/res/drawable-nodpi/b_din4_3.png b/src/main/res/drawable-nodpi/b_din4_3.png
new file mode 100644
index 00000000..5b02b661
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_din4_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_dino_3.png b/src/main/res/drawable-nodpi/b_dino_3.png
new file mode 100644
index 00000000..771500be
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_dino_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_heli_3.png b/src/main/res/drawable-nodpi/b_heli_3.png
new file mode 100644
index 00000000..72d14f62
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_heli_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_ivy_2.png b/src/main/res/drawable-nodpi/b_ivy_2.png
new file mode 100644
index 00000000..f6034044
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_ivy_2.png differ
diff --git a/src/main/res/drawable-nodpi/b_jing_2.png b/src/main/res/drawable-nodpi/b_jing_2.png
new file mode 100644
index 00000000..c66e6833
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_jing_2.png differ
diff --git a/src/main/res/drawable-nodpi/b_kilo_3.png b/src/main/res/drawable-nodpi/b_kilo_3.png
new file mode 100644
index 00000000..15c102f7
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_kilo_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_kilo_5.png b/src/main/res/drawable-nodpi/b_kilo_5.png
new file mode 100644
index 00000000..d1ea66a6
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_kilo_5.png differ
diff --git a/src/main/res/drawable-nodpi/b_mega_3.png b/src/main/res/drawable-nodpi/b_mega_3.png
new file mode 100644
index 00000000..1e749db7
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_mega_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_mega_5.png b/src/main/res/drawable-nodpi/b_mega_5.png
new file mode 100644
index 00000000..34ddc49e
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_mega_5.png differ
diff --git a/src/main/res/drawable-nodpi/b_mirr_2.png b/src/main/res/drawable-nodpi/b_mirr_2.png
new file mode 100644
index 00000000..c609fb40
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_mirr_2.png differ
diff --git a/src/main/res/drawable-nodpi/b_mirr_3.png b/src/main/res/drawable-nodpi/b_mirr_3.png
new file mode 100644
index 00000000..53e7924a
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_mirr_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_pyra_3.png b/src/main/res/drawable-nodpi/b_pyra_3.png
new file mode 100644
index 00000000..372330a9
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_pyra_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_pyra_4.png b/src/main/res/drawable-nodpi/b_pyra_4.png
new file mode 100644
index 00000000..2315c56c
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_pyra_4.png differ
diff --git a/src/main/res/drawable-nodpi/b_pyra_5.png b/src/main/res/drawable-nodpi/b_pyra_5.png
new file mode 100644
index 00000000..f2d7d94b
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_pyra_5.png differ
diff --git a/src/main/res/drawable-nodpi/b_redi_3.png b/src/main/res/drawable-nodpi/b_redi_3.png
new file mode 100644
index 00000000..b99ba58a
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_redi_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_rex_3.png b/src/main/res/drawable-nodpi/b_rex_3.png
new file mode 100644
index 00000000..24332ac9
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_rex_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_skew_2.png b/src/main/res/drawable-nodpi/b_skew_2.png
new file mode 100644
index 00000000..9c0b9f68
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_skew_2.png differ
diff --git a/src/main/res/drawable-nodpi/b_skew_3.png b/src/main/res/drawable-nodpi/b_skew_3.png
new file mode 100644
index 00000000..acea0d31
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_skew_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_squ1_3.png b/src/main/res/drawable-nodpi/b_squ1_3.png
new file mode 100644
index 00000000..4c0f72b6
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_squ1_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_squ2_3.png b/src/main/res/drawable-nodpi/b_squ2_3.png
new file mode 100644
index 00000000..16c5a391
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_squ2_3.png differ
diff --git a/src/main/res/drawable-nodpi/b_ulti_2.png b/src/main/res/drawable-nodpi/b_ulti_2.png
new file mode 100644
index 00000000..7693d824
Binary files /dev/null and b/src/main/res/drawable-nodpi/b_ulti_2.png differ
diff --git a/src/main/res/drawable-nodpi/big_ban1.png b/src/main/res/drawable-nodpi/big_ban1.png
deleted file mode 100644
index 188a6ec4..00000000
Binary files a/src/main/res/drawable-nodpi/big_ban1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_ban2.png b/src/main/res/drawable-nodpi/big_ban2.png
deleted file mode 100644
index 5d7ad6e1..00000000
Binary files a/src/main/res/drawable-nodpi/big_ban2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_ban3.png b/src/main/res/drawable-nodpi/big_ban3.png
deleted file mode 100644
index b2b5cafd..00000000
Binary files a/src/main/res/drawable-nodpi/big_ban3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_ban4.png b/src/main/res/drawable-nodpi/big_ban4.png
deleted file mode 100644
index 6a1643e5..00000000
Binary files a/src/main/res/drawable-nodpi/big_ban4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_cube2.png b/src/main/res/drawable-nodpi/big_cube2.png
deleted file mode 100644
index 53e89cf2..00000000
Binary files a/src/main/res/drawable-nodpi/big_cube2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_cube3.png b/src/main/res/drawable-nodpi/big_cube3.png
deleted file mode 100644
index a22d8a4d..00000000
Binary files a/src/main/res/drawable-nodpi/big_cube3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_cube4.png b/src/main/res/drawable-nodpi/big_cube4.png
deleted file mode 100644
index 472b70df..00000000
Binary files a/src/main/res/drawable-nodpi/big_cube4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_cube5.png b/src/main/res/drawable-nodpi/big_cube5.png
deleted file mode 100644
index 46fee585..00000000
Binary files a/src/main/res/drawable-nodpi/big_cube5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_diam2.png b/src/main/res/drawable-nodpi/big_diam2.png
deleted file mode 100644
index f0c27ea3..00000000
Binary files a/src/main/res/drawable-nodpi/big_diam2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_diam3.png b/src/main/res/drawable-nodpi/big_diam3.png
deleted file mode 100644
index e5892e7a..00000000
Binary files a/src/main/res/drawable-nodpi/big_diam3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_diam4.png b/src/main/res/drawable-nodpi/big_diam4.png
deleted file mode 100644
index 167b52d0..00000000
Binary files a/src/main/res/drawable-nodpi/big_diam4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_din4.png b/src/main/res/drawable-nodpi/big_din4.png
deleted file mode 100644
index 212fd55b..00000000
Binary files a/src/main/res/drawable-nodpi/big_din4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_dino.png b/src/main/res/drawable-nodpi/big_dino.png
deleted file mode 100644
index d60ecd88..00000000
Binary files a/src/main/res/drawable-nodpi/big_dino.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_heli.png b/src/main/res/drawable-nodpi/big_heli.png
deleted file mode 100644
index 2ec198ac..00000000
Binary files a/src/main/res/drawable-nodpi/big_heli.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_ivy.png b/src/main/res/drawable-nodpi/big_ivy.png
deleted file mode 100644
index dde87775..00000000
Binary files a/src/main/res/drawable-nodpi/big_ivy.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_jing2.png b/src/main/res/drawable-nodpi/big_jing2.png
deleted file mode 100644
index f9f80516..00000000
Binary files a/src/main/res/drawable-nodpi/big_jing2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_kilo3.png b/src/main/res/drawable-nodpi/big_kilo3.png
deleted file mode 100644
index 7e5779fd..00000000
Binary files a/src/main/res/drawable-nodpi/big_kilo3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_kilo5.png b/src/main/res/drawable-nodpi/big_kilo5.png
deleted file mode 100644
index 6ce95cb4..00000000
Binary files a/src/main/res/drawable-nodpi/big_kilo5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_mega3.png b/src/main/res/drawable-nodpi/big_mega3.png
deleted file mode 100644
index 4e7aa6cf..00000000
Binary files a/src/main/res/drawable-nodpi/big_mega3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_mega5.png b/src/main/res/drawable-nodpi/big_mega5.png
deleted file mode 100644
index 0363ee35..00000000
Binary files a/src/main/res/drawable-nodpi/big_mega5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_mirr2.png b/src/main/res/drawable-nodpi/big_mirr2.png
deleted file mode 100644
index 3a5d3e8f..00000000
Binary files a/src/main/res/drawable-nodpi/big_mirr2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_mirr3.png b/src/main/res/drawable-nodpi/big_mirr3.png
deleted file mode 100644
index d3dcf556..00000000
Binary files a/src/main/res/drawable-nodpi/big_mirr3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_pyra2.png b/src/main/res/drawable-nodpi/big_pyra2.png
deleted file mode 100644
index 11358f12..00000000
Binary files a/src/main/res/drawable-nodpi/big_pyra2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_pyra3.png b/src/main/res/drawable-nodpi/big_pyra3.png
deleted file mode 100644
index 7d76defb..00000000
Binary files a/src/main/res/drawable-nodpi/big_pyra3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_pyra4.png b/src/main/res/drawable-nodpi/big_pyra4.png
deleted file mode 100644
index a1a7a377..00000000
Binary files a/src/main/res/drawable-nodpi/big_pyra4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_pyra5.png b/src/main/res/drawable-nodpi/big_pyra5.png
deleted file mode 100644
index fcc4b751..00000000
Binary files a/src/main/res/drawable-nodpi/big_pyra5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_redi.png b/src/main/res/drawable-nodpi/big_redi.png
deleted file mode 100644
index 4f054b9d..00000000
Binary files a/src/main/res/drawable-nodpi/big_redi.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_rex.png b/src/main/res/drawable-nodpi/big_rex.png
deleted file mode 100644
index 7703be3d..00000000
Binary files a/src/main/res/drawable-nodpi/big_rex.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_skew2.png b/src/main/res/drawable-nodpi/big_skew2.png
deleted file mode 100644
index 654d457c..00000000
Binary files a/src/main/res/drawable-nodpi/big_skew2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_skew3.png b/src/main/res/drawable-nodpi/big_skew3.png
deleted file mode 100644
index c4072f44..00000000
Binary files a/src/main/res/drawable-nodpi/big_skew3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_squa1.png b/src/main/res/drawable-nodpi/big_squa1.png
deleted file mode 100644
index 92892943..00000000
Binary files a/src/main/res/drawable-nodpi/big_squa1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_squa2.png b/src/main/res/drawable-nodpi/big_squa2.png
deleted file mode 100644
index f9cfa71d..00000000
Binary files a/src/main/res/drawable-nodpi/big_squa2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/big_ulti.png b/src/main/res/drawable-nodpi/big_ulti.png
deleted file mode 100644
index 7da0c0e1..00000000
Binary files a/src/main/res/drawable-nodpi/big_ulti.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/h_ban1_3.png b/src/main/res/drawable-nodpi/h_ban1_3.png
new file mode 100644
index 00000000..bb5408aa
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_ban1_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_ban2_3.png b/src/main/res/drawable-nodpi/h_ban2_3.png
new file mode 100644
index 00000000..6cf27e70
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_ban2_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_ban3_3.png b/src/main/res/drawable-nodpi/h_ban3_3.png
new file mode 100644
index 00000000..19131dcf
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_ban3_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_ban4_3.png b/src/main/res/drawable-nodpi/h_ban4_3.png
new file mode 100644
index 00000000..c917d9f8
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_ban4_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_cube_2.png b/src/main/res/drawable-nodpi/h_cube_2.png
new file mode 100644
index 00000000..ad63a17c
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_cube_2.png differ
diff --git a/src/main/res/drawable-nodpi/h_cube_3.png b/src/main/res/drawable-nodpi/h_cube_3.png
new file mode 100644
index 00000000..05879e51
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_cube_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_cube_4.png b/src/main/res/drawable-nodpi/h_cube_4.png
new file mode 100644
index 00000000..f69b7342
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_cube_4.png differ
diff --git a/src/main/res/drawable-nodpi/h_cube_5.png b/src/main/res/drawable-nodpi/h_cube_5.png
new file mode 100644
index 00000000..69a57ac6
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_cube_5.png differ
diff --git a/src/main/res/drawable-nodpi/h_diam_2.png b/src/main/res/drawable-nodpi/h_diam_2.png
new file mode 100644
index 00000000..e89ac565
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_diam_2.png differ
diff --git a/src/main/res/drawable-nodpi/h_diam_3.png b/src/main/res/drawable-nodpi/h_diam_3.png
new file mode 100644
index 00000000..718a12fb
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_diam_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_diam_4.png b/src/main/res/drawable-nodpi/h_diam_4.png
new file mode 100644
index 00000000..6a9a217d
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_diam_4.png differ
diff --git a/src/main/res/drawable-nodpi/h_din4_3.png b/src/main/res/drawable-nodpi/h_din4_3.png
new file mode 100644
index 00000000..3a242bc3
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_din4_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_dino_3.png b/src/main/res/drawable-nodpi/h_dino_3.png
new file mode 100644
index 00000000..4eeb489b
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_dino_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_heli_3.png b/src/main/res/drawable-nodpi/h_heli_3.png
new file mode 100644
index 00000000..ffae0cb6
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_heli_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_ivy_2.png b/src/main/res/drawable-nodpi/h_ivy_2.png
new file mode 100644
index 00000000..5ba1e34e
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_ivy_2.png differ
diff --git a/src/main/res/drawable-nodpi/h_jing_2.png b/src/main/res/drawable-nodpi/h_jing_2.png
new file mode 100644
index 00000000..4340046d
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_jing_2.png differ
diff --git a/src/main/res/drawable-nodpi/h_kilo_3.png b/src/main/res/drawable-nodpi/h_kilo_3.png
new file mode 100644
index 00000000..8520fe80
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_kilo_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_kilo_5.png b/src/main/res/drawable-nodpi/h_kilo_5.png
new file mode 100644
index 00000000..488035c0
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_kilo_5.png differ
diff --git a/src/main/res/drawable-nodpi/h_mega_3.png b/src/main/res/drawable-nodpi/h_mega_3.png
new file mode 100644
index 00000000..a69b1e2b
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_mega_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_mega_5.png b/src/main/res/drawable-nodpi/h_mega_5.png
new file mode 100644
index 00000000..ab8f2f42
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_mega_5.png differ
diff --git a/src/main/res/drawable-nodpi/h_mirr_2.png b/src/main/res/drawable-nodpi/h_mirr_2.png
new file mode 100644
index 00000000..9ce09a40
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_mirr_2.png differ
diff --git a/src/main/res/drawable-nodpi/h_mirr_3.png b/src/main/res/drawable-nodpi/h_mirr_3.png
new file mode 100644
index 00000000..0cccf7c7
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_mirr_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_pyra_3.png b/src/main/res/drawable-nodpi/h_pyra_3.png
new file mode 100644
index 00000000..a3388586
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_pyra_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_pyra_4.png b/src/main/res/drawable-nodpi/h_pyra_4.png
new file mode 100644
index 00000000..208ccc36
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_pyra_4.png differ
diff --git a/src/main/res/drawable-nodpi/h_pyra_5.png b/src/main/res/drawable-nodpi/h_pyra_5.png
new file mode 100644
index 00000000..70df9dc1
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_pyra_5.png differ
diff --git a/src/main/res/drawable-nodpi/h_redi_3.png b/src/main/res/drawable-nodpi/h_redi_3.png
new file mode 100644
index 00000000..8464e3e2
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_redi_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_rex_3.png b/src/main/res/drawable-nodpi/h_rex_3.png
new file mode 100644
index 00000000..ad406860
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_rex_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_skew_2.png b/src/main/res/drawable-nodpi/h_skew_2.png
new file mode 100644
index 00000000..746a9ac7
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_skew_2.png differ
diff --git a/src/main/res/drawable-nodpi/h_skew_3.png b/src/main/res/drawable-nodpi/h_skew_3.png
new file mode 100644
index 00000000..07f1870a
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_skew_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_squ1_3.png b/src/main/res/drawable-nodpi/h_squ1_3.png
new file mode 100644
index 00000000..17695354
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_squ1_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_squ2_3.png b/src/main/res/drawable-nodpi/h_squ2_3.png
new file mode 100644
index 00000000..75786512
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_squ2_3.png differ
diff --git a/src/main/res/drawable-nodpi/h_ulti_2.png b/src/main/res/drawable-nodpi/h_ulti_2.png
new file mode 100644
index 00000000..b0899d05
Binary files /dev/null and b/src/main/res/drawable-nodpi/h_ulti_2.png differ
diff --git a/src/main/res/drawable-nodpi/huge_ban1.png b/src/main/res/drawable-nodpi/huge_ban1.png
deleted file mode 100644
index b70e0ba8..00000000
Binary files a/src/main/res/drawable-nodpi/huge_ban1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_ban2.png b/src/main/res/drawable-nodpi/huge_ban2.png
deleted file mode 100644
index a6a91af4..00000000
Binary files a/src/main/res/drawable-nodpi/huge_ban2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_ban3.png b/src/main/res/drawable-nodpi/huge_ban3.png
deleted file mode 100644
index 9312aef7..00000000
Binary files a/src/main/res/drawable-nodpi/huge_ban3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_ban4.png b/src/main/res/drawable-nodpi/huge_ban4.png
deleted file mode 100644
index e5f69eed..00000000
Binary files a/src/main/res/drawable-nodpi/huge_ban4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_cube2.png b/src/main/res/drawable-nodpi/huge_cube2.png
deleted file mode 100644
index 1d541de4..00000000
Binary files a/src/main/res/drawable-nodpi/huge_cube2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_cube3.png b/src/main/res/drawable-nodpi/huge_cube3.png
deleted file mode 100644
index 1000bb32..00000000
Binary files a/src/main/res/drawable-nodpi/huge_cube3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_cube4.png b/src/main/res/drawable-nodpi/huge_cube4.png
deleted file mode 100644
index 89ef3641..00000000
Binary files a/src/main/res/drawable-nodpi/huge_cube4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_cube5.png b/src/main/res/drawable-nodpi/huge_cube5.png
deleted file mode 100644
index d44cb93c..00000000
Binary files a/src/main/res/drawable-nodpi/huge_cube5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_diam2.png b/src/main/res/drawable-nodpi/huge_diam2.png
deleted file mode 100644
index 1339c979..00000000
Binary files a/src/main/res/drawable-nodpi/huge_diam2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_diam3.png b/src/main/res/drawable-nodpi/huge_diam3.png
deleted file mode 100644
index c7164160..00000000
Binary files a/src/main/res/drawable-nodpi/huge_diam3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_diam4.png b/src/main/res/drawable-nodpi/huge_diam4.png
deleted file mode 100644
index 6c9d024e..00000000
Binary files a/src/main/res/drawable-nodpi/huge_diam4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_din4.png b/src/main/res/drawable-nodpi/huge_din4.png
deleted file mode 100644
index e4388e79..00000000
Binary files a/src/main/res/drawable-nodpi/huge_din4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_dino.png b/src/main/res/drawable-nodpi/huge_dino.png
deleted file mode 100644
index af221779..00000000
Binary files a/src/main/res/drawable-nodpi/huge_dino.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_heli.png b/src/main/res/drawable-nodpi/huge_heli.png
deleted file mode 100644
index a7cfb34a..00000000
Binary files a/src/main/res/drawable-nodpi/huge_heli.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_ivy.png b/src/main/res/drawable-nodpi/huge_ivy.png
deleted file mode 100644
index f021dc4f..00000000
Binary files a/src/main/res/drawable-nodpi/huge_ivy.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_jing2.png b/src/main/res/drawable-nodpi/huge_jing2.png
deleted file mode 100644
index ad7bc551..00000000
Binary files a/src/main/res/drawable-nodpi/huge_jing2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_kilo3.png b/src/main/res/drawable-nodpi/huge_kilo3.png
deleted file mode 100644
index 7babb464..00000000
Binary files a/src/main/res/drawable-nodpi/huge_kilo3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_kilo5.png b/src/main/res/drawable-nodpi/huge_kilo5.png
deleted file mode 100644
index a1cabfae..00000000
Binary files a/src/main/res/drawable-nodpi/huge_kilo5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_mega3.png b/src/main/res/drawable-nodpi/huge_mega3.png
deleted file mode 100644
index 620777b2..00000000
Binary files a/src/main/res/drawable-nodpi/huge_mega3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_mega5.png b/src/main/res/drawable-nodpi/huge_mega5.png
deleted file mode 100644
index e86abd24..00000000
Binary files a/src/main/res/drawable-nodpi/huge_mega5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_mirr2.png b/src/main/res/drawable-nodpi/huge_mirr2.png
deleted file mode 100644
index a1af6f6a..00000000
Binary files a/src/main/res/drawable-nodpi/huge_mirr2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_mirr3.png b/src/main/res/drawable-nodpi/huge_mirr3.png
deleted file mode 100644
index bfa71f6c..00000000
Binary files a/src/main/res/drawable-nodpi/huge_mirr3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_pyra2.png b/src/main/res/drawable-nodpi/huge_pyra2.png
deleted file mode 100644
index 987469bb..00000000
Binary files a/src/main/res/drawable-nodpi/huge_pyra2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_pyra3.png b/src/main/res/drawable-nodpi/huge_pyra3.png
deleted file mode 100644
index b3d64fe1..00000000
Binary files a/src/main/res/drawable-nodpi/huge_pyra3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_pyra4.png b/src/main/res/drawable-nodpi/huge_pyra4.png
deleted file mode 100644
index 0e55237c..00000000
Binary files a/src/main/res/drawable-nodpi/huge_pyra4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_pyra5.png b/src/main/res/drawable-nodpi/huge_pyra5.png
deleted file mode 100644
index 7a83df5b..00000000
Binary files a/src/main/res/drawable-nodpi/huge_pyra5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_redi.png b/src/main/res/drawable-nodpi/huge_redi.png
deleted file mode 100644
index b6b3502f..00000000
Binary files a/src/main/res/drawable-nodpi/huge_redi.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_rex.png b/src/main/res/drawable-nodpi/huge_rex.png
deleted file mode 100644
index 7b352855..00000000
Binary files a/src/main/res/drawable-nodpi/huge_rex.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_skew2.png b/src/main/res/drawable-nodpi/huge_skew2.png
deleted file mode 100644
index f431b1e6..00000000
Binary files a/src/main/res/drawable-nodpi/huge_skew2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_skew3.png b/src/main/res/drawable-nodpi/huge_skew3.png
deleted file mode 100644
index 8c096b81..00000000
Binary files a/src/main/res/drawable-nodpi/huge_skew3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_squa1.png b/src/main/res/drawable-nodpi/huge_squa1.png
deleted file mode 100644
index f57d8ec6..00000000
Binary files a/src/main/res/drawable-nodpi/huge_squa1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_squa2.png b/src/main/res/drawable-nodpi/huge_squa2.png
deleted file mode 100644
index 16772218..00000000
Binary files a/src/main/res/drawable-nodpi/huge_squa2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/huge_ulti.png b/src/main/res/drawable-nodpi/huge_ulti.png
deleted file mode 100644
index fcfda055..00000000
Binary files a/src/main/res/drawable-nodpi/huge_ulti.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/m_ban1_3.png b/src/main/res/drawable-nodpi/m_ban1_3.png
new file mode 100644
index 00000000..b6a3b881
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_ban1_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_ban2_3.png b/src/main/res/drawable-nodpi/m_ban2_3.png
new file mode 100644
index 00000000..f6581d72
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_ban2_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_ban3_3.png b/src/main/res/drawable-nodpi/m_ban3_3.png
new file mode 100644
index 00000000..da78ef89
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_ban3_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_ban4_3.png b/src/main/res/drawable-nodpi/m_ban4_3.png
new file mode 100644
index 00000000..c0d570bb
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_ban4_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_cube_2.png b/src/main/res/drawable-nodpi/m_cube_2.png
new file mode 100644
index 00000000..f4922b26
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_cube_2.png differ
diff --git a/src/main/res/drawable-nodpi/m_cube_3.png b/src/main/res/drawable-nodpi/m_cube_3.png
new file mode 100644
index 00000000..920b708e
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_cube_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_cube_4.png b/src/main/res/drawable-nodpi/m_cube_4.png
new file mode 100644
index 00000000..986b5997
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_cube_4.png differ
diff --git a/src/main/res/drawable-nodpi/m_cube_5.png b/src/main/res/drawable-nodpi/m_cube_5.png
new file mode 100644
index 00000000..a06d8610
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_cube_5.png differ
diff --git a/src/main/res/drawable-nodpi/m_diam_2.png b/src/main/res/drawable-nodpi/m_diam_2.png
new file mode 100644
index 00000000..3c94fe2d
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_diam_2.png differ
diff --git a/src/main/res/drawable-nodpi/m_diam_3.png b/src/main/res/drawable-nodpi/m_diam_3.png
new file mode 100644
index 00000000..1b711e78
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_diam_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_diam_4.png b/src/main/res/drawable-nodpi/m_diam_4.png
new file mode 100644
index 00000000..5b109124
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_diam_4.png differ
diff --git a/src/main/res/drawable-nodpi/m_din4_3.png b/src/main/res/drawable-nodpi/m_din4_3.png
new file mode 100644
index 00000000..6d3c2aec
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_din4_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_dino_3.png b/src/main/res/drawable-nodpi/m_dino_3.png
new file mode 100644
index 00000000..33e01553
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_dino_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_heli_3.png b/src/main/res/drawable-nodpi/m_heli_3.png
new file mode 100644
index 00000000..4b34fa16
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_heli_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_ivy_2.png b/src/main/res/drawable-nodpi/m_ivy_2.png
new file mode 100644
index 00000000..336dd9f1
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_ivy_2.png differ
diff --git a/src/main/res/drawable-nodpi/m_jing_2.png b/src/main/res/drawable-nodpi/m_jing_2.png
new file mode 100644
index 00000000..c8203ff5
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_jing_2.png differ
diff --git a/src/main/res/drawable-nodpi/m_kilo_3.png b/src/main/res/drawable-nodpi/m_kilo_3.png
new file mode 100644
index 00000000..5b17af91
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_kilo_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_kilo_5.png b/src/main/res/drawable-nodpi/m_kilo_5.png
new file mode 100644
index 00000000..d6c4de5a
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_kilo_5.png differ
diff --git a/src/main/res/drawable-nodpi/m_mega_3.png b/src/main/res/drawable-nodpi/m_mega_3.png
new file mode 100644
index 00000000..8e3f9803
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_mega_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_mega_5.png b/src/main/res/drawable-nodpi/m_mega_5.png
new file mode 100644
index 00000000..dbddb1fb
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_mega_5.png differ
diff --git a/src/main/res/drawable-nodpi/m_mirr_2.png b/src/main/res/drawable-nodpi/m_mirr_2.png
new file mode 100644
index 00000000..ad66ead6
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_mirr_2.png differ
diff --git a/src/main/res/drawable-nodpi/m_mirr_3.png b/src/main/res/drawable-nodpi/m_mirr_3.png
new file mode 100644
index 00000000..7123df32
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_mirr_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_pyra_3.png b/src/main/res/drawable-nodpi/m_pyra_3.png
new file mode 100644
index 00000000..6af99018
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_pyra_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_pyra_4.png b/src/main/res/drawable-nodpi/m_pyra_4.png
new file mode 100644
index 00000000..b61e20e7
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_pyra_4.png differ
diff --git a/src/main/res/drawable-nodpi/m_pyra_5.png b/src/main/res/drawable-nodpi/m_pyra_5.png
new file mode 100644
index 00000000..74034c7a
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_pyra_5.png differ
diff --git a/src/main/res/drawable-nodpi/m_redi_3.png b/src/main/res/drawable-nodpi/m_redi_3.png
new file mode 100644
index 00000000..37019707
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_redi_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_rex_3.png b/src/main/res/drawable-nodpi/m_rex_3.png
new file mode 100644
index 00000000..def87d87
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_rex_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_skew_2.png b/src/main/res/drawable-nodpi/m_skew_2.png
new file mode 100644
index 00000000..a44772ba
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_skew_2.png differ
diff --git a/src/main/res/drawable-nodpi/m_skew_3.png b/src/main/res/drawable-nodpi/m_skew_3.png
new file mode 100644
index 00000000..65cbbc7b
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_skew_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_squ1_3.png b/src/main/res/drawable-nodpi/m_squ1_3.png
new file mode 100644
index 00000000..21007fe9
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_squ1_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_squ2_3.png b/src/main/res/drawable-nodpi/m_squ2_3.png
new file mode 100644
index 00000000..14a97580
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_squ2_3.png differ
diff --git a/src/main/res/drawable-nodpi/m_ulti_2.png b/src/main/res/drawable-nodpi/m_ulti_2.png
new file mode 100644
index 00000000..3ac441af
Binary files /dev/null and b/src/main/res/drawable-nodpi/m_ulti_2.png differ
diff --git a/src/main/res/drawable-nodpi/medium_ban1.png b/src/main/res/drawable-nodpi/medium_ban1.png
deleted file mode 100644
index 9429379e..00000000
Binary files a/src/main/res/drawable-nodpi/medium_ban1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_ban2.png b/src/main/res/drawable-nodpi/medium_ban2.png
deleted file mode 100644
index 79ea3141..00000000
Binary files a/src/main/res/drawable-nodpi/medium_ban2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_ban3.png b/src/main/res/drawable-nodpi/medium_ban3.png
deleted file mode 100644
index 9bc05620..00000000
Binary files a/src/main/res/drawable-nodpi/medium_ban3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_ban4.png b/src/main/res/drawable-nodpi/medium_ban4.png
deleted file mode 100644
index 4f249d0b..00000000
Binary files a/src/main/res/drawable-nodpi/medium_ban4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_cube2.png b/src/main/res/drawable-nodpi/medium_cube2.png
deleted file mode 100644
index e081b29d..00000000
Binary files a/src/main/res/drawable-nodpi/medium_cube2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_cube3.png b/src/main/res/drawable-nodpi/medium_cube3.png
deleted file mode 100644
index 3c0185d3..00000000
Binary files a/src/main/res/drawable-nodpi/medium_cube3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_cube4.png b/src/main/res/drawable-nodpi/medium_cube4.png
deleted file mode 100644
index bf1db71c..00000000
Binary files a/src/main/res/drawable-nodpi/medium_cube4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_cube5.png b/src/main/res/drawable-nodpi/medium_cube5.png
deleted file mode 100644
index 8efa6dd8..00000000
Binary files a/src/main/res/drawable-nodpi/medium_cube5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_diam2.png b/src/main/res/drawable-nodpi/medium_diam2.png
deleted file mode 100644
index c4e4e7ac..00000000
Binary files a/src/main/res/drawable-nodpi/medium_diam2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_diam3.png b/src/main/res/drawable-nodpi/medium_diam3.png
deleted file mode 100644
index 864864fb..00000000
Binary files a/src/main/res/drawable-nodpi/medium_diam3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_diam4.png b/src/main/res/drawable-nodpi/medium_diam4.png
deleted file mode 100644
index 5c2822d9..00000000
Binary files a/src/main/res/drawable-nodpi/medium_diam4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_din4.png b/src/main/res/drawable-nodpi/medium_din4.png
deleted file mode 100644
index 66a81806..00000000
Binary files a/src/main/res/drawable-nodpi/medium_din4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_dino.png b/src/main/res/drawable-nodpi/medium_dino.png
deleted file mode 100644
index f4eb1ba4..00000000
Binary files a/src/main/res/drawable-nodpi/medium_dino.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_heli.png b/src/main/res/drawable-nodpi/medium_heli.png
deleted file mode 100644
index 7b917554..00000000
Binary files a/src/main/res/drawable-nodpi/medium_heli.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_ivy.png b/src/main/res/drawable-nodpi/medium_ivy.png
deleted file mode 100644
index d56a5068..00000000
Binary files a/src/main/res/drawable-nodpi/medium_ivy.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_jing2.png b/src/main/res/drawable-nodpi/medium_jing2.png
deleted file mode 100644
index 6ddc93ea..00000000
Binary files a/src/main/res/drawable-nodpi/medium_jing2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_kilo3.png b/src/main/res/drawable-nodpi/medium_kilo3.png
deleted file mode 100644
index 99ea4b3d..00000000
Binary files a/src/main/res/drawable-nodpi/medium_kilo3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_kilo5.png b/src/main/res/drawable-nodpi/medium_kilo5.png
deleted file mode 100644
index 940cac29..00000000
Binary files a/src/main/res/drawable-nodpi/medium_kilo5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_mega3.png b/src/main/res/drawable-nodpi/medium_mega3.png
deleted file mode 100644
index f1611980..00000000
Binary files a/src/main/res/drawable-nodpi/medium_mega3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_mega5.png b/src/main/res/drawable-nodpi/medium_mega5.png
deleted file mode 100644
index 7337cb03..00000000
Binary files a/src/main/res/drawable-nodpi/medium_mega5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_mirr2.png b/src/main/res/drawable-nodpi/medium_mirr2.png
deleted file mode 100644
index 123eafd9..00000000
Binary files a/src/main/res/drawable-nodpi/medium_mirr2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_mirr3.png b/src/main/res/drawable-nodpi/medium_mirr3.png
deleted file mode 100644
index f17bad5e..00000000
Binary files a/src/main/res/drawable-nodpi/medium_mirr3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_pyra2.png b/src/main/res/drawable-nodpi/medium_pyra2.png
deleted file mode 100644
index d11cf90e..00000000
Binary files a/src/main/res/drawable-nodpi/medium_pyra2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_pyra3.png b/src/main/res/drawable-nodpi/medium_pyra3.png
deleted file mode 100644
index 61ebdbc4..00000000
Binary files a/src/main/res/drawable-nodpi/medium_pyra3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_pyra4.png b/src/main/res/drawable-nodpi/medium_pyra4.png
deleted file mode 100644
index 6bb90d54..00000000
Binary files a/src/main/res/drawable-nodpi/medium_pyra4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_pyra5.png b/src/main/res/drawable-nodpi/medium_pyra5.png
deleted file mode 100644
index 569ab4fe..00000000
Binary files a/src/main/res/drawable-nodpi/medium_pyra5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_redi.png b/src/main/res/drawable-nodpi/medium_redi.png
deleted file mode 100644
index 0adaa838..00000000
Binary files a/src/main/res/drawable-nodpi/medium_redi.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_rex.png b/src/main/res/drawable-nodpi/medium_rex.png
deleted file mode 100644
index 6c861927..00000000
Binary files a/src/main/res/drawable-nodpi/medium_rex.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_skew2.png b/src/main/res/drawable-nodpi/medium_skew2.png
deleted file mode 100644
index 1dd3b3ef..00000000
Binary files a/src/main/res/drawable-nodpi/medium_skew2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_skew3.png b/src/main/res/drawable-nodpi/medium_skew3.png
deleted file mode 100644
index bf6c510b..00000000
Binary files a/src/main/res/drawable-nodpi/medium_skew3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_squa1.png b/src/main/res/drawable-nodpi/medium_squa1.png
deleted file mode 100644
index ed4e7c56..00000000
Binary files a/src/main/res/drawable-nodpi/medium_squa1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_squa2.png b/src/main/res/drawable-nodpi/medium_squa2.png
deleted file mode 100644
index 37312fdf..00000000
Binary files a/src/main/res/drawable-nodpi/medium_squa2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/medium_ulti.png b/src/main/res/drawable-nodpi/medium_ulti.png
deleted file mode 100644
index 5a3d3d16..00000000
Binary files a/src/main/res/drawable-nodpi/medium_ulti.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/s_ban1_3.png b/src/main/res/drawable-nodpi/s_ban1_3.png
new file mode 100644
index 00000000..11e34766
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_ban1_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_ban2_3.png b/src/main/res/drawable-nodpi/s_ban2_3.png
new file mode 100644
index 00000000..22eed955
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_ban2_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_ban3_3.png b/src/main/res/drawable-nodpi/s_ban3_3.png
new file mode 100644
index 00000000..7c1570b9
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_ban3_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_ban4_3.png b/src/main/res/drawable-nodpi/s_ban4_3.png
new file mode 100644
index 00000000..6baac51c
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_ban4_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_cube_2.png b/src/main/res/drawable-nodpi/s_cube_2.png
new file mode 100644
index 00000000..d0b0cbd7
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_cube_2.png differ
diff --git a/src/main/res/drawable-nodpi/s_cube_3.png b/src/main/res/drawable-nodpi/s_cube_3.png
new file mode 100644
index 00000000..fd8a61be
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_cube_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_cube_4.png b/src/main/res/drawable-nodpi/s_cube_4.png
new file mode 100644
index 00000000..f538c49d
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_cube_4.png differ
diff --git a/src/main/res/drawable-nodpi/s_cube_5.png b/src/main/res/drawable-nodpi/s_cube_5.png
new file mode 100644
index 00000000..f70abb55
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_cube_5.png differ
diff --git a/src/main/res/drawable-nodpi/s_diam_2.png b/src/main/res/drawable-nodpi/s_diam_2.png
new file mode 100644
index 00000000..14762556
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_diam_2.png differ
diff --git a/src/main/res/drawable-nodpi/s_diam_3.png b/src/main/res/drawable-nodpi/s_diam_3.png
new file mode 100644
index 00000000..75834af6
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_diam_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_diam_4.png b/src/main/res/drawable-nodpi/s_diam_4.png
new file mode 100644
index 00000000..750cc01b
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_diam_4.png differ
diff --git a/src/main/res/drawable-nodpi/s_din4_3.png b/src/main/res/drawable-nodpi/s_din4_3.png
new file mode 100644
index 00000000..acb8f13b
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_din4_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_dino_3.png b/src/main/res/drawable-nodpi/s_dino_3.png
new file mode 100644
index 00000000..7658f011
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_dino_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_heli_3.png b/src/main/res/drawable-nodpi/s_heli_3.png
new file mode 100644
index 00000000..0da93cd9
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_heli_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_ivy_2.png b/src/main/res/drawable-nodpi/s_ivy_2.png
new file mode 100644
index 00000000..49926990
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_ivy_2.png differ
diff --git a/src/main/res/drawable-nodpi/s_jing_2.png b/src/main/res/drawable-nodpi/s_jing_2.png
new file mode 100644
index 00000000..1a9fe03f
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_jing_2.png differ
diff --git a/src/main/res/drawable-nodpi/s_kilo_3.png b/src/main/res/drawable-nodpi/s_kilo_3.png
new file mode 100644
index 00000000..2f588365
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_kilo_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_kilo_5.png b/src/main/res/drawable-nodpi/s_kilo_5.png
new file mode 100644
index 00000000..519ca178
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_kilo_5.png differ
diff --git a/src/main/res/drawable-nodpi/s_mega_3.png b/src/main/res/drawable-nodpi/s_mega_3.png
new file mode 100644
index 00000000..764acce0
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_mega_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_mega_5.png b/src/main/res/drawable-nodpi/s_mega_5.png
new file mode 100644
index 00000000..a90a8fac
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_mega_5.png differ
diff --git a/src/main/res/drawable-nodpi/s_mirr_2.png b/src/main/res/drawable-nodpi/s_mirr_2.png
new file mode 100644
index 00000000..5d918a66
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_mirr_2.png differ
diff --git a/src/main/res/drawable-nodpi/s_mirr_3.png b/src/main/res/drawable-nodpi/s_mirr_3.png
new file mode 100644
index 00000000..921387ed
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_mirr_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_pyra_3.png b/src/main/res/drawable-nodpi/s_pyra_3.png
new file mode 100644
index 00000000..6ecb9940
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_pyra_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_pyra_4.png b/src/main/res/drawable-nodpi/s_pyra_4.png
new file mode 100644
index 00000000..fb3b538e
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_pyra_4.png differ
diff --git a/src/main/res/drawable-nodpi/s_pyra_5.png b/src/main/res/drawable-nodpi/s_pyra_5.png
new file mode 100644
index 00000000..7ae24574
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_pyra_5.png differ
diff --git a/src/main/res/drawable-nodpi/s_redi_3.png b/src/main/res/drawable-nodpi/s_redi_3.png
new file mode 100644
index 00000000..cf4727b7
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_redi_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_rex_3.png b/src/main/res/drawable-nodpi/s_rex_3.png
new file mode 100644
index 00000000..01ffacab
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_rex_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_skew_2.png b/src/main/res/drawable-nodpi/s_skew_2.png
new file mode 100644
index 00000000..9628980a
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_skew_2.png differ
diff --git a/src/main/res/drawable-nodpi/s_skew_3.png b/src/main/res/drawable-nodpi/s_skew_3.png
new file mode 100644
index 00000000..7c000f28
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_skew_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_squ1_3.png b/src/main/res/drawable-nodpi/s_squ1_3.png
new file mode 100644
index 00000000..b31b14eb
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_squ1_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_squ2_3.png b/src/main/res/drawable-nodpi/s_squ2_3.png
new file mode 100644
index 00000000..e0e5b681
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_squ2_3.png differ
diff --git a/src/main/res/drawable-nodpi/s_ulti_2.png b/src/main/res/drawable-nodpi/s_ulti_2.png
new file mode 100644
index 00000000..2ccd71e8
Binary files /dev/null and b/src/main/res/drawable-nodpi/s_ulti_2.png differ
diff --git a/src/main/res/drawable-nodpi/small_ban1.png b/src/main/res/drawable-nodpi/small_ban1.png
deleted file mode 100644
index 579fd1bb..00000000
Binary files a/src/main/res/drawable-nodpi/small_ban1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_ban2.png b/src/main/res/drawable-nodpi/small_ban2.png
deleted file mode 100644
index 543bf379..00000000
Binary files a/src/main/res/drawable-nodpi/small_ban2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_ban3.png b/src/main/res/drawable-nodpi/small_ban3.png
deleted file mode 100644
index 105def04..00000000
Binary files a/src/main/res/drawable-nodpi/small_ban3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_ban4.png b/src/main/res/drawable-nodpi/small_ban4.png
deleted file mode 100644
index 416c2c9a..00000000
Binary files a/src/main/res/drawable-nodpi/small_ban4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_cube2.png b/src/main/res/drawable-nodpi/small_cube2.png
deleted file mode 100644
index eb781e64..00000000
Binary files a/src/main/res/drawable-nodpi/small_cube2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_cube3.png b/src/main/res/drawable-nodpi/small_cube3.png
deleted file mode 100644
index dae0f164..00000000
Binary files a/src/main/res/drawable-nodpi/small_cube3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_cube4.png b/src/main/res/drawable-nodpi/small_cube4.png
deleted file mode 100644
index c37a2e75..00000000
Binary files a/src/main/res/drawable-nodpi/small_cube4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_cube5.png b/src/main/res/drawable-nodpi/small_cube5.png
deleted file mode 100644
index c6c5ff3a..00000000
Binary files a/src/main/res/drawable-nodpi/small_cube5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_diam2.png b/src/main/res/drawable-nodpi/small_diam2.png
deleted file mode 100644
index 1c849467..00000000
Binary files a/src/main/res/drawable-nodpi/small_diam2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_diam3.png b/src/main/res/drawable-nodpi/small_diam3.png
deleted file mode 100644
index d8b719ec..00000000
Binary files a/src/main/res/drawable-nodpi/small_diam3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_diam4.png b/src/main/res/drawable-nodpi/small_diam4.png
deleted file mode 100644
index a8b13ead..00000000
Binary files a/src/main/res/drawable-nodpi/small_diam4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_din4.png b/src/main/res/drawable-nodpi/small_din4.png
deleted file mode 100644
index 8c68e947..00000000
Binary files a/src/main/res/drawable-nodpi/small_din4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_dino.png b/src/main/res/drawable-nodpi/small_dino.png
deleted file mode 100644
index 7b81d9d8..00000000
Binary files a/src/main/res/drawable-nodpi/small_dino.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_heli.png b/src/main/res/drawable-nodpi/small_heli.png
deleted file mode 100644
index f39099c8..00000000
Binary files a/src/main/res/drawable-nodpi/small_heli.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_ivy.png b/src/main/res/drawable-nodpi/small_ivy.png
deleted file mode 100644
index ccb45204..00000000
Binary files a/src/main/res/drawable-nodpi/small_ivy.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_jing2.png b/src/main/res/drawable-nodpi/small_jing2.png
deleted file mode 100644
index 20c31754..00000000
Binary files a/src/main/res/drawable-nodpi/small_jing2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_kilo3.png b/src/main/res/drawable-nodpi/small_kilo3.png
deleted file mode 100644
index 5895fcb8..00000000
Binary files a/src/main/res/drawable-nodpi/small_kilo3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_kilo5.png b/src/main/res/drawable-nodpi/small_kilo5.png
deleted file mode 100644
index 87616aa7..00000000
Binary files a/src/main/res/drawable-nodpi/small_kilo5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_mega3.png b/src/main/res/drawable-nodpi/small_mega3.png
deleted file mode 100644
index 09e6b796..00000000
Binary files a/src/main/res/drawable-nodpi/small_mega3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_mega5.png b/src/main/res/drawable-nodpi/small_mega5.png
deleted file mode 100644
index 618d2508..00000000
Binary files a/src/main/res/drawable-nodpi/small_mega5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_mirr2.png b/src/main/res/drawable-nodpi/small_mirr2.png
deleted file mode 100644
index f47570aa..00000000
Binary files a/src/main/res/drawable-nodpi/small_mirr2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_mirr3.png b/src/main/res/drawable-nodpi/small_mirr3.png
deleted file mode 100644
index 7fcb8b67..00000000
Binary files a/src/main/res/drawable-nodpi/small_mirr3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_pyra2.png b/src/main/res/drawable-nodpi/small_pyra2.png
deleted file mode 100644
index 239d380a..00000000
Binary files a/src/main/res/drawable-nodpi/small_pyra2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_pyra3.png b/src/main/res/drawable-nodpi/small_pyra3.png
deleted file mode 100644
index e7fa6640..00000000
Binary files a/src/main/res/drawable-nodpi/small_pyra3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_pyra4.png b/src/main/res/drawable-nodpi/small_pyra4.png
deleted file mode 100644
index 11b2e7fa..00000000
Binary files a/src/main/res/drawable-nodpi/small_pyra4.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_pyra5.png b/src/main/res/drawable-nodpi/small_pyra5.png
deleted file mode 100644
index 55aa5dba..00000000
Binary files a/src/main/res/drawable-nodpi/small_pyra5.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_redi.png b/src/main/res/drawable-nodpi/small_redi.png
deleted file mode 100644
index 16db11a8..00000000
Binary files a/src/main/res/drawable-nodpi/small_redi.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_rex.png b/src/main/res/drawable-nodpi/small_rex.png
deleted file mode 100644
index 0e6513cb..00000000
Binary files a/src/main/res/drawable-nodpi/small_rex.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_skew2.png b/src/main/res/drawable-nodpi/small_skew2.png
deleted file mode 100644
index e7d5f56a..00000000
Binary files a/src/main/res/drawable-nodpi/small_skew2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_skew3.png b/src/main/res/drawable-nodpi/small_skew3.png
deleted file mode 100644
index 8d675a93..00000000
Binary files a/src/main/res/drawable-nodpi/small_skew3.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_squa1.png b/src/main/res/drawable-nodpi/small_squa1.png
deleted file mode 100644
index f53f0b56..00000000
Binary files a/src/main/res/drawable-nodpi/small_squa1.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_squa2.png b/src/main/res/drawable-nodpi/small_squa2.png
deleted file mode 100644
index 9d2757b3..00000000
Binary files a/src/main/res/drawable-nodpi/small_squa2.png and /dev/null differ
diff --git a/src/main/res/drawable-nodpi/small_ulti.png b/src/main/res/drawable-nodpi/small_ulti.png
deleted file mode 100644
index 1b5c4be6..00000000
Binary files a/src/main/res/drawable-nodpi/small_ulti.png and /dev/null differ
